Bug 437528 - yum seems to be repeatedly re-downloading packages for no apparent good reason
yum seems to be repeatedly re-downloading packages for no apparent good reason
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 14:49 EDT by Jesse Keating
Modified: 2014-01-21 18:02 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 15:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-03-14 14:49:23 EDT
As part of a pungi compose, I'm pointing at a local mirror.  When I get to the
download phase, yum tries downloading the package numerous times, and eventually
fails.  If I use urlgrabber directly it works the first time.

(1/15): pyxf86config-0.3. 100% |=========================|  61 kB    00:00
(2/15): anaconda-runtime- 100% |=========================| 558 kB    00:00
(3/15): firefox-3.0-0.40. 100% |=========================| 1.1 MB    00:00
(3/15): firefox-3.0-0.40. 100% |=========================| 2.2 MB    00:00
(3/15): firefox-3.0-0.40. 100% |=========================| 3.4 MB    00:00
(3/15): firefox-3.0-0.40. 100% |=========================| 4.5 MB    00:00
(3/15): firefox-3.0-0.40. 100% |=========================| 5.6 MB    00:00
(3/15): firefox-3.0-0.40. 100% |=========================| 6.7 MB    00:00
(3/15): firefox-3.0-0.40. 100% |=========================| 7.8 MB    00:00
(3/15): firefox-3.0-0.40. 100% |=========================| 8.9 MB    00:00
(3/15): firefox-3.0-0.40. 100% |=========================|  10 MB    00:00
(3/15): firefox-3.0-0.40. 100% |=========================|  11 MB    00:00


Packages/firefox-3.0-0.40.cvs20080312.fc9.x86_64.rpm from rawhide: [Errno 256]
No more mirrors to try.

urlgrabber
http://download.boston.redhat.com/pub/fedora/linux/development/x86_64/os/Packages/firefox-3.0-0.40.cvs20080312.fc9.x86_64.rpm
  
firefox-3.0-0.40.cvs20080 100% |=========================| 1.1 MB    00:00
file written to firefox-3.0-0.40.cvs20080312.fc9.x86_64.rpm
mock-chroot> rpm -K firefox-3.0-0.40.cvs20080312.fc9.x86_64.rpm
firefox-3.0-0.40.cvs20080312.fc9.x86_64.rpm: (SHA1) DSA sha1 md5 (GPG) NOT OK
(MISSING KEYS: GPG#30c9ecf8)
mock-chroot> sha1sum firefox-3.0-0.40.cvs20080312.fc9.x86_64.rpm
fcbace0d7ef2440d4917c6f33321ee32d83f96e2 
firefox-3.0-0.40.cvs20080312.fc9.x86_64.rpm
mock-chroot> sha1sum
/srv/pungi/cache/rawhide/packages/firefox-3.0-0.40.cvs20080312.fc9.x86_64.rpm
2cfdf7b370fe77c4a2ffcb5c1c17ae631c9b0dd8 
/srv/pungi/cache/rawhide/packages/firefox-3.0-0.40.cvs20080312.fc9.x86_64.rpm

This goes along with some other weirdness I've seen with downloading packages
and throwing errors.
Comment 1 Warren Togami 2008-03-14 15:30:32 EDT
Mirror: my home InstantMirror
* 20080314 rawhide anaconda fails like Jesse's example above.
* Meanwhile, livecd-creator downloading the same RPM from the same mirror succeeds.

Both use yum, yet one succeeds and the other consistently fails.  When it fails,
it is as if it gives up on downloading part-way and tries again.
Comment 2 James Antill 2008-03-15 16:12:21 EDT
 It looks like it's downloading exactly 1.1MB of each file and then dying, this
is more than a little suspicious.

 Does anaconda succeed if it isn't using InstantMirror?

 It's not obvious it's an anaconda problem but it really doesn't look like a yum
problem, and urlgrabber hasn't changed in quite a while now.
Comment 3 Warren Togami 2008-03-16 01:50:20 EDT
Anaconda failed in a similar way on a public mirror on Friday for me too.

Back to the InstantMirror case, anaconda in F-8 seem sot have no problem
installing from InstantMirror.  Also, anaconda F-9 works if the InstantMirror
RPMS are pre-populated, so the server isn't downloading at the same time it is
serving to the client.

Are you sure nothing related to HTTP header handling changed?  It is telling
that livecd-creator and yum themselves have no problem on the very same RPMS
that anaconda and pungi seem to have trouble. 
Comment 4 Bug Zapper 2008-05-14 02:03:38 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andy Lindeberg 2008-06-02 14:45:00 EDT
Is this still happening?
Comment 6 Jesse Keating 2008-06-03 14:15:18 EDT
I can't say that I've seen it.  The circumstances around getting to this error
state are usually pretty complicated.  However from my end feel free to close
this, I'll re-open if it's happening again and there is something to test against. 

Note You need to log in before you can comment on or make changes to this bug.